public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michael Orlitzky" <mjo@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-analyzer/nagios-plugins/
Date: Sun,  7 Aug 2016 00:40:16 +0000 (UTC)	[thread overview]
Message-ID: <1470530344.a9a1f1e2463b60a89bbf55d656480b5a38c96364.mjo@gentoo> (raw)

commit:     a9a1f1e2463b60a89bbf55d656480b5a38c96364
Author:     Michael Orlitzky <mjo <AT> gentoo <DOT> org>
AuthorDate: Sun Aug  7 00:39:04 2016 +0000
Commit:     Michael Orlitzky <mjo <AT> gentoo <DOT> org>
CommitDate: Sun Aug  7 00:39:04 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a9a1f1e2

net-analyzer/nagios-plugins: new version 2.1.2.

This new version has an upstream workaround that should cause a
runtime error rather than a build failure if you build against
LibreSSL and then try to use SSLv3.

Gentoo-Bug: 587696

Package-Manager: portage-2.2.28

 net-analyzer/nagios-plugins/Manifest               |  2 +-
 .../nagios-plugins/nagios-plugins-2.1.1-r1.ebuild  | 99 ----------------------
 ...2.1.1-r2.ebuild => nagios-plugins-2.1.2.ebuild} | 27 ++++--
 3 files changed, 21 insertions(+), 107 deletions(-)

diff --git a/net-analyzer/nagios-plugins/Manifest b/net-analyzer/nagios-plugins/Manifest
index 0351c034..95759e8 100644
--- a/net-analyzer/nagios-plugins/Manifest
+++ b/net-analyzer/nagios-plugins/Manifest
@@ -1,2 +1,2 @@
 DIST nagios-plugins-2.0.3.tar.gz 2659772 SHA256 8f0021442dce0138f0285ca22960b870662e28ae8973d49d439463588aada04a SHA512 2753e6f3fc7433a5583fee01e63a65b9ea74155964f2b6e6bf3458e56cb29ea5dbd020f83816044a717b66d6548d203b3a082fba0faedcd629c7a8457bc19b36 WHIRLPOOL 4b0e4024833373df3f0db44657345a1f4495c4022e56bf6b369cc2846f9127e565520f6b7cdf1b94384592e78327d584da7d939a3ac0586e0ae67fd1258c138b
-DIST nagios-plugins-2.1.1.tar.gz 2677352 SHA256 c7daf95ecbf6909724258e55a319057b78dcca23b2a6cc0a640b90c90d4feae3 SHA512 6ef872a6aca50f4b575cae8b484766103bbeace7118090c81df3e62f9a30f9a156bb2bed4dbfa3e483e22a6b7505816e668b56bf3c91fcef8eafa9038c93dd26 WHIRLPOOL 80db3155ef0d31301822ac62fbc68a64f0ab79c7836b7592aab04a6e689fd96965ab45b58a5da7d687b58ce411c38d374b07e1ec82f23bad9b3981aae9dfe6e9
+DIST nagios-plugins-2.1.2.tar.gz 2695301 SHA256 f2ed5d07b1823341f9db56b187ae5c0ee9018b6c69a152b6a240c5e14cd94ea4 SHA512 b7474ebf6ca4de67bb0383ba501deef6cdffde5d0f64a0c805394b52d96ab22051318ee272c682b4de665394b87978efc0f29692aa4d71d9af5dc927891c5755 WHIRLPOOL 316277197acc8b7c6d3a4cfcb019af273b1af45f0d8c9787f7a3f2d964c2641abd006f3fc61da1c8433387eabc72fc1a5fbb484f4d0fb6481f6488ca469dab46

diff --git a/net-analyzer/nagios-plugins/nagios-plugins-2.1.1-r1.ebuild b/net-analyzer/nagios-plugins/nagios-plugins-2.1.1-r1.ebuild
deleted file mode 100644
index f2d543f..0000000
--- a/net-analyzer/nagios-plugins/nagios-plugins-2.1.1-r1.ebuild
+++ /dev/null
@@ -1,99 +0,0 @@
-# Copyright 1999-2015 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI=5
-
-inherit eutils multilib user
-
-DESCRIPTION="Official plugins for Nagios"
-HOMEPAGE="http://nagios-plugins.org/"
-SRC_URI="http://nagios-plugins.org/download/${P}.tar.gz"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~sparc ~x86"
-IUSE="ipv6 ldap mysql nagios-dns nagios-ping nagios-game postgres samba selinux snmp ssh +ssl"
-
-# Most of the plugins use automagic dependencies, i.e. the plugin will
-# get built if the binary it uses is installed. For example, check_snmp
-# will be built only if snmpget from net-analyzer/net-snmp[-minimal] is
-# installed. End result: most of our runtime dependencies are required
-# at build time as well.
-#
-# REAL_DEPEND contains the dependencies that are actually needed to
-# build. DEPEND contains those plus the automagic dependencies.
-#
-REAL_DEPEND="dev-lang/perl
-	ldap? ( net-nds/openldap )
-	mysql? ( virtual/mysql )
-	postgres? ( dev-db/postgresql:* )
-	ssl? ( dev-libs/openssl:0 )"
-
-DEPEND="${REAL_DEPEND}
-	nagios-dns? ( net-dns/bind-tools )
-	nagios-game? ( games-util/qstat )
-	nagios-ping? ( net-analyzer/fping )
-	samba? ( net-fs/samba )
-	ssh? ( net-misc/openssh )
-	snmp? ( dev-perl/Net-SNMP
-			net-analyzer/net-snmp[-minimal] )"
-
-# Basically everything collides with nagios-plugins.
-RDEPEND="${DEPEND}
-	!net-analyzer/monitoring-plugins
-	selinux? ( sec-policy/selinux-nagios )"
-
-# At least one test is interactive.
-RESTRICT="test"
-
-src_prepare() {
-	# Fix the path to our perl interpreter
-	sed -i -e "1s:/usr/local/bin/perl:/usr/bin/perl:" \
-		"${S}"/plugins-scripts/*.pl || die
-}
-
-src_configure() {
-	# Use an array to prevent econf from mangling the ping args.
-	local myconf=()
-
-	if use ssl; then
-		myconf+=( $(use_with ssl openssl /usr) )
-	else
-		myconf+=( --without-openssl )
-		myconf+=( --without-gnutls )
-	fi
-
-	# The autodetection for these two commands can hang if localhost is
-	# down or ICMP traffic is filtered. Bug #468296.
-	myconf+=( --with-ping-command="/bin/ping -n -U -w %d -c %d %s" )
-
-	if use ipv6; then
-		myconf+=( --with-ping6-command="/bin/ping6 -n -U -w %d -c %d %s" )
-	fi
-
-	econf \
-		$(use_with mysql) \
-		$(use_with ipv6) \
-		$(use_with ldap) \
-		$(use_with postgres pgsql /usr) \
-		"${myconf[@]}" \
-		--libexecdir="/usr/$(get_libdir)/nagios/plugins" \
-		--sysconfdir="/etc/nagios"
-}
-
-DOCS=( ACKNOWLEDGEMENTS AUTHORS CODING ChangeLog FAQ \
-		NEWS README REQUIREMENTS SUPPORT THANKS )
-
-pkg_preinst() {
-	enewgroup nagios
-	enewuser nagios -1 /bin/bash /var/nagios/home nagios
-}
-
-pkg_postinst() {
-	elog "This ebuild has a number of USE flags that determine what you"
-	elog "are able to monitor. Depending on what you want to monitor, some"
-	elog "or all of these USE flags need to be set."
-	elog
-	elog "The plugins are installed in ${ROOT}usr/$(get_libdir)/nagios/plugins"
-}

diff --git a/net-analyzer/nagios-plugins/nagios-plugins-2.1.1-r2.ebuild b/net-analyzer/nagios-plugins/nagios-plugins-2.1.2.ebuild
similarity index 91%
rename from net-analyzer/nagios-plugins/nagios-plugins-2.1.1-r2.ebuild
rename to net-analyzer/nagios-plugins/nagios-plugins-2.1.2.ebuild
index 5768949..4774b54 100644
--- a/net-analyzer/nagios-plugins/nagios-plugins-2.1.1-r2.ebuild
+++ b/net-analyzer/nagios-plugins/nagios-plugins-2.1.2.ebuild
@@ -1,10 +1,10 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Id$
 
-EAPI=5
+EAPI=6
 
-inherit eutils multilib user
+inherit user
 
 DESCRIPTION="Official plugins for Nagios"
 HOMEPAGE="http://nagios-plugins.org/"
@@ -50,10 +50,26 @@ RDEPEND="${DEPEND}
 # At least one test is interactive.
 RESTRICT="test"
 
+DOCS=(
+	ACKNOWLEDGEMENTS
+	AUTHORS
+	CODING
+	ChangeLog
+	FAQ
+	NEWS
+	README
+	REQUIREMENTS
+	SUPPORT
+	THANKS
+)
+
 src_prepare() {
+	default
+
 	# Fix the path to our perl interpreter
 	sed -i -e "1s:/usr/local/bin/perl:/usr/bin/perl:" \
-		"${S}"/plugins-scripts/*.pl || die
+		"${S}"/plugins-scripts/*.pl \
+		|| die 'failed to fix perl interpreter path'
 }
 
 src_configure() {
@@ -85,9 +101,6 @@ src_configure() {
 		--sysconfdir="/etc/nagios"
 }
 
-DOCS=( ACKNOWLEDGEMENTS AUTHORS CODING ChangeLog FAQ \
-		NEWS README REQUIREMENTS SUPPORT THANKS )
-
 pkg_preinst() {
 	enewgroup nagios
 	enewuser nagios -1 /bin/bash /var/nagios/home nagios


             reply	other threads:[~2016-08-07  0:40 UTC|newest]

Thread overview: 72+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-08-07  0:40 Michael Orlitzky [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-02-23 15:17 [gentoo-commits] repo/gentoo:master commit in: net-analyzer/nagios-plugins/ Michael Orlitzky
2025-02-23  3:09 Sam James
2025-02-16  6:32 Sam James
2025-02-16  6:32 Sam James
2025-02-16  6:32 Sam James
2024-11-14 23:30 Michael Orlitzky
2024-02-18 22:42 Sam James
2024-02-18 19:57 Arthur Zamarin
2024-02-18 19:57 Arthur Zamarin
2024-02-18 19:57 Arthur Zamarin
2024-02-18 15:10 Michael Orlitzky
2024-02-18 15:10 Michael Orlitzky
2023-09-09 23:44 Michael Orlitzky
2023-05-11 20:03 Sam James
2023-01-28  9:06 Sam James
2023-01-28  9:02 Arthur Zamarin
2023-01-28  8:54 Sam James
2023-01-28  8:54 Sam James
2022-12-01  0:35 Michael Orlitzky
2022-12-01  0:26 Michael Orlitzky
2022-12-01  0:19 Michael Orlitzky
2022-12-01  0:08 Michael Orlitzky
2022-11-30 23:30 Michael Orlitzky
2022-11-19 23:06 Michael Orlitzky
2022-08-30  1:05 Michael Orlitzky
2022-08-29 12:38 Jakov Smolić
2022-08-12 14:27 Sam James
2022-08-06 13:04 Michael Orlitzky
2022-08-03 17:51 Arthur Zamarin
2022-08-03 16:12 Arthur Zamarin
2022-06-02 17:23 Michael Orlitzky
2022-03-23  0:45 Sam James
2021-06-22 18:19 Sam James
2021-05-01 10:02 Mikle Kolyada
2021-03-22  2:56 Michael Orlitzky
2020-11-30 16:17 Aaron Bauman
2020-08-05 15:34 Michael Orlitzky
2020-08-01  9:01 Sergei Trofimovich
2020-08-01  8:53 Sergei Trofimovich
2020-07-28 21:25 Sergei Trofimovich
2020-07-27 18:36 Sergei Trofimovich
2020-07-24 15:09 Agostino Sarubbo
2020-07-23 16:51 Michael Orlitzky
2020-01-17 17:02 Michael Orlitzky
2019-12-11 16:26 Michael Orlitzky
2019-12-11 15:26 Michael Orlitzky
2019-08-31 21:35 Michael Orlitzky
2019-02-16 16:01 Michael Orlitzky
2019-01-31 18:04 Tobias Klausmann
2019-01-29 17:12 Mikle Kolyada
2019-01-24 22:22 Thomas Deutschmann
2019-01-24 21:43 Sergei Trofimovich
2019-01-23 21:12 Sergei Trofimovich
2019-01-23 21:01 Sergei Trofimovich
2019-01-23 19:29 Sergei Trofimovich
2018-09-23  1:27 Michael Orlitzky
2018-06-19 12:55 Thomas Deutschmann
2018-03-03 21:07 Sergei Trofimovich
2017-12-16  8:20 Tobias Klausmann
2017-11-25 20:59 Sergei Trofimovich
2017-11-18 17:59 Sergei Trofimovich
2017-11-17 11:18 Tobias Klausmann
2017-11-15  2:16 Michael Orlitzky
2017-10-22 19:59 Michael Orlitzky
2017-07-23 14:05 Michael Orlitzky
2017-03-30 22:14 Michael Orlitzky
2016-12-11 17:11 Michael Orlitzky
2016-12-11 17:11 Michael Orlitzky
2015-10-05 13:52 Julian Ospald
2015-08-31 14:44 Michael Orlitzky
2015-08-31 14:13 Michael Orlitzky

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1470530344.a9a1f1e2463b60a89bbf55d656480b5a38c96364.mjo@gentoo \
    --to=mjo@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox